| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
uhd::not_implemented_error Struct Reference

`#include <uhd/exception.hpp>`

Inheritance diagram for uhd::not_implemented_error:

## Public Member Functions
| not_implemented_error (const std::string &what)
unsigned | code (void) const override
not_implemented_error * | dynamic_clone (void) const override
void | dynamic_throw (void) const override
Public Member Functions inherited from uhd::runtime_error
| runtime_error (const std::string &what)
unsigned | code (void) const override
runtime_error * | dynamic_clone (void) const override
void | dynamic_throw (void) const override
Public Member Functions inherited from uhd::exception
| exception (const std::string &what)

## Detailed Description

Raised when a function is stubbed out but doesn't actually do anything useful.

## Constructor & Destructor Documentation

## ◆ not_implemented_error()

uhd::not_implemented_error::not_implemented_error | ( | const std::string & | what | ) |

## Member Function Documentation

## ◆ code()

unsigned uhd::not_implemented_error::code | ( | void |  | ) | const
| override virtual

Implements uhd::exception.

## ◆ dynamic_clone()

not_implemented_error * uhd::not_implemented_error::dynamic_clone | ( | void |  | ) | const
| override virtual

Implements uhd::exception.

## ◆ dynamic_throw()

void uhd::not_implemented_error::dynamic_throw | ( | void |  | ) | const
| override virtual

Implements uhd::exception.

The documentation for this struct was generated from the following file:

- exception.hpp